Replace values for a data source
curl --request PUT \
--url https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{}
]'import requests
url = "https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values"
payload = [{}]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{}])
};
fetch('https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{}
]{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Data Sources
Replace values for a data source
Replaces the list of all values in a mapping data source Note: For large data sources (e.g. > 1000 values), it can take a few minutes after the request completes for the new values to be searchable.
PUT
/
v3
/
mapping_data_sources
/
{identifier}
/
values
Replace values for a data source
curl --request PUT \
--url https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{}
]'import requests
url = "https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values"
payload = [{}]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{}])
};
fetch('https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{}
]{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Data source's identifier Uniquely identify a mapping data source.
Example:
"mEFayXdO"
Body
application/json
Response
Will return matching data source values
Was this page helpful?
⌘I